summaryrefslogtreecommitdiffstats
path: root/system/apachetop
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackware-id.org>2013-11-06 08:04:56 +0700
committer Robby Workman <rworkman@slackbuilds.org>2013-11-05 20:25:38 -0600
commit41d38a39f96cc0f3281e34db7b4987f07d599b6e (patch)
tree794b5e059a27f88eb0fa336440e14f988c2edc45 /system/apachetop
parentd7fa0fd1c58ed4c43be16977ddf21c4686945efd (diff)
downloadslackbuilds-41d38a39f96cc0f3281e34db7b4987f07d599b6e.tar.gz
slackbuilds-41d38a39f96cc0f3281e34db7b4987f07d599b6e.tar.xz
system/apachetop: Update script to the new template
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackware-id.org> Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'system/apachetop')
-rw-r--r--system/apachetop/apachetop.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/system/apachetop/apachetop.SlackBuild b/system/apachetop/apachetop.SlackBuild
index df3ae7f561..dc889cb2f3 100644
--- a/system/apachetop/apachetop.SlackBuild
+++ b/system/apachetop/apachetop.SlackBuild
@@ -3,7 +3,7 @@
# Slackware build script for ApacheTop
# Written by Menno Duursma <druiloor@zonnet.nl>
-# Updated by Willy Sudiarto Raharjo <willysr@slackware-id.org>
+# Maintained by Willy Sudiarto Raharjo <willysr@slackware-id.org>
# This program is free software. It comes without any warranty.
# Granted WTFPLv2, as published by Sam Hocevar dec 2004.
@@ -14,12 +14,10 @@ VERSION=${VERSION:-0.12.6}
BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -43,7 +41,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -52,7 +50,11 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find . -type d -exec chmod 0755 {} \; -o -type f -exec chmod a-s,u+rw,go-w {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Apply a patch by Aaron McClimont to allow writing statistics to a file.
# For like MRTG to use (or Cricket, Cacti, Torrus, whatever).